JavaScript
import Profound from '@profoundai/client';
const client = new Profound({
apiKey: process.env['PROFOUND_API_KEY'], // This is the default and can be omitted
});
const response = await client.organizations.categories.updatePrompts(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{ prompts: [{ id: 'id' }] },
);
console.log(response.dry_run);import os
from profound import Profound
client = Profound(
api_key=os.environ.get("PROFOUND_API_KEY"), # This is the default and can be omitted
)
response = client.organizations.categories.update_prompts(
category_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
prompts=[{
"id": "id"
}],
)
print(response.dry_run)curl --request PATCH \
--url https://api.tryprofound.com/v1/org/categories/{category_id}/prompts \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"prompts": [
{
"id": "<string>",
"prompt": "<string>",
"topic": {
"id": "<string>",
"name": "<string>"
},
"language": "<string>",
"tags": [
{
"id": "<string>",
"name": "<string>"
}
],
"regions": [
{
"id": "<string>",
"name": "<string>"
}
],
"platforms": [
{
"id": "<string>",
"name": "<string>"
}
],
"personas": [
{
"id": "<string>",
"name": "<string>"
}
],
"analysis_types": [],
"prompt_type": "<string>",
"asset": {
"id": "<string>",
"name": "<string>"
}
}
],
"dry_run": false
}
'
{
"dry_run": true,
"updated": 0,
"topics_created": 0,
"tags_created": 0,
"prompts": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Prompts
Update prompts
Update one or more existing prompts. Only provided fields are changed. Dimension fields (regions, platforms, personas, tags) replace the full set when provided. Use dry_run to preview without persisting.
PATCH
/
v1
/
org
/
categories
/
{category_id}
/
prompts
JavaScript
import Profound from '@profoundai/client';
const client = new Profound({
apiKey: process.env['PROFOUND_API_KEY'], // This is the default and can be omitted
});
const response = await client.organizations.categories.updatePrompts(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{ prompts: [{ id: 'id' }] },
);
console.log(response.dry_run);import os
from profound import Profound
client = Profound(
api_key=os.environ.get("PROFOUND_API_KEY"), # This is the default and can be omitted
)
response = client.organizations.categories.update_prompts(
category_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
prompts=[{
"id": "id"
}],
)
print(response.dry_run)Authorizations
APIKeyHeaderBearerAuth
Path Parameters
Body
application/json
Response
Successful Response
Response from updating prompts.
Whether this was a dry run (no changes persisted).
Number of prompts that had changes.
Number of new topics created.
Number of new tags created.
List of prompts with their change diffs.
Show child attributes
Show child attributes
Was this page helpful?
⌘I